#! /bin/sh

# ---------------------------------------------------------------
# IMPORTANT:
#
# change the environment variable RECDETEC_EXE_DIR 
# to the correct location of the RecDetec directory
# ---------------------------------------------------------------

if [ "x${RECDETEC_EXE_DIR}" == "x" ]; then # check if RECDETEC_EXE_DIR is already set
	export RECDETEC_EXE_DIR=~/recdetec-VERSION
fi

# ---------------------------------------------------------------
# no changes should be necessary beyond this point
# ---------------------------------------------------------------

RECDETEC_PUZZLE_BIN=
RECDETEC_IQPNNI_BIN=
RECDETEC_FIGTREE_BIN=

RECDETEC_BIN=${RECDETEC_EXE_DIR}/recdetec.jar
if [ ! -f ${RECDETEC_BIN} ]; then
	echo "Error: '$RECDETEC_BIN' does not exist!!"
	echo "possibly RECDETEC_EXE_DIR is wrongly set!!"
	echo "EXITING"
	exit 5
fi

# echo RECDETEC_EXE_DIR=$RECDETEC_EXE_DIR

java -jar ${RECDETEC_BIN} $@

